sunxi-pio(1)

NAME
sunxi-pio - manipulate PIO (GPIO and pinmux) on sunxi devices

SYNOPSIS
sunxi-pio -m|-i input [ -o output ] pin

DESCRIPTION
sunxi-pio manipulates PIO (GPIO and pinmux) on sunxi devices

OPTIONS
-m
    mmap - read pin state from system

-i
    read pin state from file

-o
    save pin state data to file

print
    Show all pins

Pxx
    Show pin

Pxx<mode><pull><drive><data>
    Configure pin

Pxx=data,drive
    Configure GPIO output

Pxx*count
    Oscillate GPIO output (mmap mode only)

Pxx?pull
    Configure GPIO input

clean
    Clean input pins

SEE ALSO
https://linux-sunxi.org/Sunxi-tools#sunxi-pio

AUTHOR
Ian Campbell <ijc@debian.org>